Skip to content

Modify permission space

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Modify the permission space, you can modify the permission space name, permission space description information and the new unique identifier (Code) of the permission space.

Method name

ManagementClient.updatePermissionNamespace

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
codestringYes-Permission group old unique identifier CodeexamplePermissionNamespace
namestringNo-Permission space nameExample Permission Space
newCodestringNo-Permission group new unique identifier CodeexampleNewPermissionNamespace
descriptionstringNo-Permission space descriptionExample Permission Space Description

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updatePermissionNamespace({
    code: "examplePermissionNamespace",
    newCode: "exampleNewPermissionNamespace",
    name: "New name of the example permission space",
    description: "New description of the example permission space",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UpdatePermissionNamespaceResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UpdatePermissionNamespaceRespDtoResponse data

Example result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "examplePermissionNamespace",
    "name": "Example Permission Space",
    "description": "Example Permission Space Description"
  }
}

Data structure

UpdatePermissionNamespaceRespDto

NameTypeIs it requiredDescriptionExample value
codestringyesPermission space unique identifierexamplePermissionNamespace
namestringyesPermission space nameExample Permission Space
descriptionstringnoPermission space descriptionExample Permission Space Description

Agent infrastructure for identity, memory, and web action.